Skip to main content
POST
/
utils
/
metadata
/
store
Bulk store (upsert) metadata
curl --request POST \
  --url https://api.example.com/utils/metadata/store \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Project-ID: <x-project-id>' \
  --data '
{
  "items": [
    {
      "resource_uri": "<string>",
      "metadata": {
        "name": "<string>",
        "fully_qualified_name": "<string>",
        "display_name": "<string>",
        "description": "<string>",
        "summary_text": "<string>",
        "type": "column",
        "data_type": "<string>",
        "data_type_display": "<string>",
        "ordinal_position": 123,
        "nullable": true,
        "constraint": {},
        "column_relationships": [
          {}
        ],
        "precision": 123,
        "scale": 123,
        "data_length": 123,
        "business_definition": "<string>",
        "business_rules": "<string>",
        "owners": [
          {
            "name": "<string>",
            "type": "<string>",
            "id": "<string>"
          }
        ],
        "extension": {},
        "is_dq_tagged": true,
        "is_pii_tagged": true,
        "is_sensitivity_tagged": true,
        "version": "<string>",
        "tags": [
          "<string>"
        ]
      }
    }
  ]
}
'
{
  "items": [
    {
      "fqn": "<string>",
      "message": "<string>",
      "version": "<string>",
      "children": {}
    }
  ],
  "errors": [
    {
      "fqn": "<string>",
      "detail": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Project-ID
string
required

Body

application/json

Request body for bulk store metadata.

items
BulkStoreMetadataItem · object[]
required
Required array length: 1 - 100 elements

Response

Successful Response

Response for bulk store metadata.

items
BulkStoreMetadataItemResult · object[]
required
errors
MetadataItemError · object[]
required